"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getInterfaceType = void 0;
const common_constants_1 = require("./common.constants");
const getInterfaceType = (parameter) => {
    if (common_constants_1.stringInterfaceIds.includes(common_constants_1.typeId[parameter])) {
        return "string";
    }
    if (common_constants_1.numberInterfaceIds.includes(common_constants_1.typeId[parameter])) {
        return "number";
    }
    if (common_constants_1.booleanInterfaceIds.includes(common_constants_1.typeId[parameter])) {
        return "boolean";
    }
    if (common_constants_1.dateInterfaceIds.includes(common_constants_1.typeId[parameter])) {
        return "Date";
    }
    if (common_constants_1.bigintInterfaceIds.includes(common_constants_1.typeId[parameter])) {
        return "bigint";
    }
    if (common_constants_1.arrayInterfaceIds.includes(common_constants_1.typeId[parameter])) {
        return "Array";
    }
    if (common_constants_1.jsonInterfaceIds.includes(common_constants_1.typeId[parameter])) {
        return "JSON";
    }
    throw new Error(`Unknown parameter ${parameter}`);
};
exports.getInterfaceType = getInterfaceType;
//# sourceMappingURL=getInterfaceType.js.map