"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSequelizeType = void 0;
const common_constants_1 = require("./common.constants");
var columnSequelizeType;
(function (columnSequelizeType) {
    columnSequelizeType[columnSequelizeType["STRING"] = 1] = "STRING";
    columnSequelizeType[columnSequelizeType["INTEGER"] = 2] = "INTEGER";
    columnSequelizeType[columnSequelizeType["BOOLEAN"] = 3] = "BOOLEAN";
    columnSequelizeType[columnSequelizeType["TEXT"] = 4] = "TEXT";
    columnSequelizeType[columnSequelizeType["DATE"] = 5] = "DATE";
    columnSequelizeType[columnSequelizeType["BIGINT"] = 6] = "BIGINT";
    columnSequelizeType[columnSequelizeType["ARRAY"] = 7] = "ARRAY";
    columnSequelizeType[columnSequelizeType["JSON"] = 8] = "JSON";
    columnSequelizeType[columnSequelizeType["CHAR"] = 9] = "CHAR";
})(columnSequelizeType || (columnSequelizeType = {}));
const getSequelizeType = (parameter) => {
    const sequelizeType = columnSequelizeType[common_constants_1.typeId[parameter]];
    if (sequelizeType) {
        return sequelizeType;
    }
    throw new Error(`Unknown parameter ${parameter}`);
};
exports.getSequelizeType = getSequelizeType;
//# sourceMappingURL=getSequelizeType.js.map