"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.dbMigrationExecutor = void 0;
const umzug_config_1 = require("../../config/umzug/umzug.config");
const path_constant_1 = require("../../config/constants/path.constant");
class DbMigrationExecutor {
    async up() {
        try {
            await umzug_config_1.umzug(`${path_constant_1.pathConstant.userMigrationPath}`).then((umzugCore) => umzugCore.up());
            console.log("All migrations performed successfully");
        }
        catch (err) {
            console.error(err);
        }
    }
    async down() {
        try {
            await umzug_config_1.umzug(`${path_constant_1.pathConstant.userMigrationPath}`).then((umzugCore) => umzugCore.down());
            console.log("All tables have been drops");
        }
        catch (err) {
            console.error(err);
        }
    }
    async specificDown(migration) {
        try {
            await umzug_config_1.umzug(`${path_constant_1.pathConstant.userMigrationPath}`).then((umzugCore) => umzugCore.down(migration));
            console.log(`${migration} have been drops`);
        }
        catch (err) {
            console.error(err);
        }
    }
    async pending() {
        try {
            console.log(await umzug_config_1.umzug(`${path_constant_1.pathConstant.userMigrationPath}`).then((umzugCore) => umzugCore.pending()));
        }
        catch (err) {
            console.error(err);
        }
    }
    async executed() {
        try {
            console.log(await umzug_config_1.umzug(`${path_constant_1.pathConstant.userMigrationPath}`).then((umzugCore) => umzugCore.executed()));
        }
        catch (err) {
            console.error(err);
        }
    }
}
exports.dbMigrationExecutor = new DbMigrationExecutor();
//# sourceMappingURL=db.migration.executor.js.map