"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.dbSeedsExecutor = void 0;
const umzug_config_1 = require("../../config/umzug/umzug.config");
const path_constant_1 = require("../../config/constants/path.constant");
class DbSeedsExecutor {
    async up() {
        try {
            await umzug_config_1.umzug(`${path_constant_1.pathConstant.userSeederPath}`).then((umzugCore) => umzugCore.up());
            console.log("All seeds performed successfully");
        }
        catch (err) {
            console.error(err);
        }
    }
    async down() {
        try {
            await umzug_config_1.umzug(`${path_constant_1.pathConstant.userSeederPath}`).then((umzugCore) => umzugCore.down());
            console.log("All seeds is dropped");
        }
        catch (err) {
            console.error(err);
        }
    }
    async specificDown(migration) {
        try {
            await umzug_config_1.umzug(`${path_constant_1.pathConstant.userSeederPath}`).then((umzugCore) => umzugCore.down(migration));
            console.log(`${migration} is dropped`);
        }
        catch (err) {
            console.error(err);
        }
    }
    async pending() {
        try {
            console.log(await umzug_config_1.umzug(`${path_constant_1.pathConstant.userMigrationPath}`).then((umzugCore) => umzugCore.pending()));
        }
        catch (err) {
            console.error(err);
        }
    }
    async executed() {
        try {
            console.log(await umzug_config_1.umzug(`${path_constant_1.pathConstant.userMigrationPath}`).then((umzugCore) => umzugCore.executed()));
        }
        catch (err) {
            console.error(err);
        }
    }
}
exports.dbSeedsExecutor = new DbSeedsExecutor();
//# sourceMappingURL=db.seeds.executor.js.map