"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.initialization = exports.initExecutor = void 0;
const fs = __importStar(require("fs-extra"));
const path_constant_1 = require("../../config/constants/path.constant");
const log_action_1 = require("../../config/logs/log.action");
const logs_messages_1 = require("../../config/constants/logs.messages");
const config_template_1 = require("./templates/config.template");
class InitExecutor {
    async initConfig() {
        try {
            fs.stat(`${path_constant_1.pathConstant.userDbPath}`, async function (err) {
                if (!err) {
                    await fs.mkdir(`${path_constant_1.pathConstant.userConfigPath}`);
                    await config_template_1.createConfigFile();
                    console.log(`The config file added by directory ${path_constant_1.pathConstant.userDbPath}/config. Set the file using your parameters.`);
                    await log_action_1.logAction(logs_messages_1.initializationMessages.successMessages.config);
                }
                else if (err.code === "ENOENT") {
                    await fs.mkdir(`${path_constant_1.pathConstant.userDbPath}`);
                    await fs.mkdir(`${path_constant_1.pathConstant.userConfigPath}`);
                    await config_template_1.createConfigFile();
                    console.log(`The config file added by directory ${path_constant_1.pathConstant.userDbPath}/config. Set the file using your parameters.`);
                    await log_action_1.logAction(logs_messages_1.initializationMessages.successMessages.config);
                }
            });
        }
        catch (err) {
            console.error(err);
            await log_action_1.logAction(logs_messages_1.initializationMessages.errorMessages.config + " Message: " + err.message);
        }
    }
    async initMigrations() {
        try {
            fs.stat(`${path_constant_1.pathConstant.userDbPath}`, async function (err) {
                if (!err) {
                    await fs.mkdir(`${path_constant_1.pathConstant.userMigrationPath}`);
                    console.log(`Migrations initialized by directory ${path_constant_1.pathConstant.userMigrationPath}.`);
                    await log_action_1.logAction(logs_messages_1.initializationMessages.successMessages.migrations);
                }
                else if (err.code === "ENOENT") {
                    await fs.mkdir(`${path_constant_1.pathConstant.userDbPath}`);
                    await fs.mkdir(`${path_constant_1.pathConstant.userMigrationPath}`);
                    console.log(`Migrations initialized by directory ${path_constant_1.pathConstant.userMigrationPath}.`);
                    await log_action_1.logAction(logs_messages_1.initializationMessages.successMessages.migrations);
                }
            });
        }
        catch (err) {
            console.error(err);
            await log_action_1.logAction(logs_messages_1.initializationMessages.errorMessages.migrations +
                " Message: " +
                err.message);
        }
    }
    async initModels() {
        try {
            fs.stat(`${path_constant_1.pathConstant.userDbPath}`, async function (err) {
                if (!err) {
                    await fs.mkdir(`${path_constant_1.pathConstant.userModelPath}`);
                    await fs.mkdir(`${path_constant_1.pathConstant.userModelPath}/interfaces`);
                    console.log(`Models initialized by directory ${path_constant_1.pathConstant.userModelPath}.`);
                    await log_action_1.logAction(logs_messages_1.initializationMessages.successMessages.models);
                }
                else if (err.code === "ENOENT") {
                    await fs.mkdir(`${path_constant_1.pathConstant.userDbPath}`);
                    await fs.mkdir(`${path_constant_1.pathConstant.userModelPath}`);
                    console.log(`Models initialized by directory ${path_constant_1.pathConstant.userModelPath}.`);
                    await log_action_1.logAction(logs_messages_1.initializationMessages.successMessages.models);
                }
            });
        }
        catch (err) {
            console.error(err);
            await log_action_1.logAction(logs_messages_1.initializationMessages.errorMessages.models + " Message: " + err.message);
        }
    }
    async initSeeders() {
        try {
            fs.stat(`${path_constant_1.pathConstant.userDbPath}`, async function (err) {
                if (!err) {
                    await fs.mkdir(`${path_constant_1.pathConstant.userSeederPath}`);
                    console.log(`Seeders initialized by directory ${path_constant_1.pathConstant.userSeederPath}.`);
                    await log_action_1.logAction(logs_messages_1.initializationMessages.successMessages.seeders);
                }
                else if (err.code === "ENOENT") {
                    await fs.mkdir(`${path_constant_1.pathConstant.userDbPath}`);
                    await fs.mkdir(`${path_constant_1.pathConstant.userSeederPath}`);
                    console.log(`Seeders initialized by directory ${path_constant_1.pathConstant.userModelPath}.`);
                    await log_action_1.logAction(logs_messages_1.initializationMessages.successMessages.seeders);
                }
            });
        }
        catch (err) {
            console.error(err);
            await log_action_1.logAction(logs_messages_1.initializationMessages.errorMessages.seeders +
                " Message: " +
                err.message);
        }
    }
}
exports.initExecutor = new InitExecutor();
const initialization = async () => {
    await fs.mkdir(`${path_constant_1.pathConstant.userDbPath}`);
    await exports.initExecutor.initConfig();
    await exports.initExecutor.initMigrations();
    await exports.initExecutor.initModels();
    await exports.initExecutor.initSeeders();
};
exports.initialization = initialization;
//# sourceMappingURL=init.executor.js.map