"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createConfigFile = void 0;
const fs_1 = __importDefault(require("fs"));
const path_constant_1 = require("../../../config/constants/path.constant");
const createConfigFile = async () => {
    const configCode = 'import { ISequelizeConfig, Mode } from "ts-sequelize-cli";\n' +
        `\n` +
        `export const sequelizeConfig: ISequelizeConfig =` +
        ` {\n` +
        `  development: {\n` +
        `    username: "postgres",\n` +
        `    password: "postgres",\n` +
        `    database: "db_development",\n` +
        `    host: "localhost",\n` +
        `    dialect: "postgres",\n` +
        `  },\n` +
        `  test: {\n` +
        `    username: "postgres",\n` +
        `    password: "postgres",\n` +
        `    database: "db_test",\n` +
        `    host: "localhost",\n` +
        `    dialect: "postgres",\n` +
        `  },\n` +
        `  production: {\n` +
        `    username: "postgres",\n` +
        `    password: "postgres",\n` +
        `    database: "db_production",\n` +
        `    host: "localhost",\n` +
        `    dialect: "postgres",\n` +
        `  },\n` +
        `};\n` +
        `\n` +
        `export const operatingMode: Mode = "development";`;
    await fs_1.default.writeFile(`${path_constant_1.pathConstant.userConfigPath}/config.ts`, configCode, async (err) => {
        if (err) {
            throw err;
        }
    });
};
exports.createConfigFile = createConfigFile;
//# sourceMappingURL=config.template.js.map