"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createSeedFile = void 0;
const fs_1 = __importDefault(require("fs"));
const path_constant_1 = require("../../../config/constants/path.constant");
const naming_handler_1 = require("../../Common/naming.handler");
const createSeedFile = (tableName) => {
    const fileName = `${naming_handler_1.dateOfCreatingFile()}-${naming_handler_1.endOfStringFromManyToOne(tableName.toLowerCase())}.ts`;
    const seedCode = 'import { QueryInterface } from "sequelize";\n' +
        "\n" +
        "export default {\n" +
        "  up: (queryInterface: QueryInterface) =>\n" +
        `    queryInterface.bulkInsert(\n` +
        `      "${tableName}",\n` +
        `      [\n` +
        `        {\n` +
        `\n` +
        "        },\n" +
        "      ],\n" +
        "      {}\n" +
        "    ),\n" +
        `\n` +
        "  down: (queryInterface: QueryInterface) =>\n" +
        `    queryInterface.bulkDelete("${tableName}", {\n` +
        "\n" +
        "    }),\n" +
        "};\n";
    fs_1.default.writeFile(`${path_constant_1.pathConstant.userSeederPath}/${fileName}`, seedCode, async (err) => {
        if (err) {
            throw err;
        }
    });
};
exports.createSeedFile = createSeedFile;
//# sourceMappingURL=seed.template.js.map