"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkNecessaryPath = void 0;
const fs_1 = __importDefault(require("fs"));
const path_constant_1 = require("../constants/path.constant");
const checkNecessaryPath = () => {
    if (!fs_1.default.existsSync(`${path_constant_1.pathConstant.userDbPath}`)) {
        console.log('Database directory does not initialized. Please, use "sqlz init" or "sqlz i"');
        process.exit(9);
    }
    if (!fs_1.default.existsSync(`${path_constant_1.pathConstant.userConfigPath}`)) {
        console.log('Config of database does not initialized. Please, use "sqlz init:config" or "sqlz i:con"');
        process.exit(9);
    }
    if (!fs_1.default.existsSync(`${path_constant_1.pathConstant.userModelPath}`)) {
        console.log('Models of database does not initialized. Please, use "sqlz init:models" or "sqlz i:mod"');
        process.exit(9);
    }
    if (!fs_1.default.existsSync(`${path_constant_1.pathConstant.userSeederPath}`)) {
        console.log('Seeders of database does not initialized. Please, use "sqlz init:seeders" or "sqlz i:see"');
        process.exit(9);
    }
};
exports.checkNecessaryPath = checkNecessaryPath;
//# sourceMappingURL=check.necessary.path.js.map